summaryrefslogtreecommitdiff
path: root/bits24-certs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bits24-certs.sh')
-rwxr-xr-xbits24-certs.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/bits24-certs.sh b/bits24-certs.sh
new file mode 100755
index 0000000..118c422
--- /dev/null
+++ b/bits24-certs.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+[ -f certificate.jpg ] || exit
+
+for file in *Participants.csv; do
+ event="${file%Participants.csv}"
+ mkdir -pv "$event"
+
+ while IFS=\| read -r email name; do echo
+ # [ -f "$event/$email" ] && continue
+ convert -verbose certificate.jpg \
+ -pointsize 200 -fill white -font MesloLGL-Nerd-Font-Bold \
+ -annotate +3700+2550 "$name" -annotate +3700+3100 "$event" \
+ "$event/$email.jpg"
+ done < "$file"
+done